Name:           ocaml
Version:        4.13.1
Release: 	12%{?dist}2b
Summary:        Objective Caml compiler and programming environment
Group:          Development/Languages
License:        QPL and (LGPLv2+ with exceptions)
URL:            http://www.ocaml.org
Source:         http://caml.inria.fr/distrib/ocaml-3.12/ocaml-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{_prefix}
Provides: bigarray.cmxs
Provides: graphics.cmxs
Provides: raw_spacetime_lib.cmxs
Provides: str.cmxs
Provides: unix.cmxs

%description
Objective Caml is a high-level, strongly-typed, functional and
object-oriented programming language from the ML family of languages.

This package comprises two batch compilers (a fast bytecode compiler
and an optimizing native-code compiler), an interactive toplevel system,
parsing tools (Lex,Yacc,Camlp4), a replay debugger, a documentation generator,
and a comprehensive library.

%prep
%setup -n %{name}-%{version}

%build
CC="clang" CFLAGS="$RPM_OPT_FLAGS" ./configure \
     --bindir=%{_bindir} \
     --libdir=%{_libdir}/ocaml \
     --mandir=%{_mandir}
make world
make bootstrap
make world.opt

%install
rm -rf $RPM_BUILD_ROOT
make install \
     DESTDIR=$RPM_BUILD_ROOT
perl -pi -e "s|^$RPM_BUILD_ROOT||" $RPM_BUILD_ROOT%{_libdir}/ocaml/ld.conf

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,wheel,-)
%dir %{_libdir}/ocaml
%{_bindir}/*
%{_libdir}/ocaml/*
%{_mandir}/man*/*

%doc README* LICENSE Changes VERSION

%changelog
* Sun Feb 27 2022 Keisuke Fujii <keisuke.fujii@kek.jp> - 4.13.1-12hepx2b
- 2nd release on MacOS 12 for M1 Macs
- built with OSXWS 12beta and clang

* Thu Feb 24 2022 Keisuke Fujii <keisuke.fujii@kek.jp> - 4.13.1-12hepx2a
- 1st release on MacOS 12 for M1 Macs
- built with OSXWS 11 and clang

* Wed Jan 29 2020 Keisuke Fujii <keisuke.fujii@kek.jp> - 4.07.0-10.15hepx1a
- 1st release on MacOS X 10.15
- built with OSXWS 10.15

* Sun Dec 29 2019 Keisuke Fujii <keisuke.fujii@kek.jp> - 4.07.0-10.14hepx1a
- 1st release on MacOS X 10.14
- built with OSXWS 10.14

* Sat Dec 28 2019 Keisuke Fujii <keisuke.fujii@kek.jp> - 4.06.1-10.14hepx1b
- 2nd release on MacOS X 10.14
- built with OSXWS 10.14

* Tue Dec 25 2018 Keisuke Fujii <keisuke.fujii@kek.jp> - 4.06.1-10.14hepx1a
- 1st release on MacOS X 10.14
- built with OSXWS 10.13

* Wed Apr 04 2018 Keisuke Fujii <keisuke.fujii@kek.jp> - 4.06.1-10.13hepx1a
- 1st release on MacOS X 10.13
- built with OSXWS 10.13

* Mon Dec 26 2016 Keisuke Fujii <keisuke.fujii@kek.jp> - 4.02.3-10.12hepx1b
- 2nd release on MacOS X 10.12
- built with OSXWS 10.12

* Mon Dec 19 2016 Keisuke Fujii <keisuke.fujii@kek.jp> - 4.02.3-10.12hepx1a
- 1st release on MacOS X 10.12
- built with OSXWS 10.11

* Tue Feb 09 2016 Keisuke Fujii <keisuke.fujii@kek.jp> - 4.02.3-10.11hepx1a
- 1st release on MacOS X 10.11

* Wed Dec 24 2014 Keisuke Fujii <keisuke.fujii@kek.jp> - 4.01.0-10.10hepx1a
- 1st release on MacOS X 10.10

* Thu Aug 07 2014 Keisuke Fujii <keisuke.fujii@kek.jp> - 4.01.0-10.9hepx1b
- 2nd release on MacOS X 10.9

* Sat Nov 30 2013 Keisuke Fujii <keisuke.fujii@kek.jp> - 4.01.0-10.9hepx1a
- 1st release on MacOS X 10.9

* Fri Jun 22 2012 Keisuke Fujii <keisuke.fujii@kek.jp> - 3.12.1-10.7hepx1a
- 1st release on MacOS X 10.7
